Bug 1661224 - @host.params['parameter_name'] should be changed in "Managing hosts" documentation.
Summary: @host.params['parameter_name'] should be changed in "Managing hosts" documen...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.4
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Sergei Petrosian
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 13:28 UTC by Suraj Patil
Modified: 2019-09-26 14:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 18:34:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Suraj Patil 2018-12-20 13:28:01 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/managing_hosts/appe-red_hat_satellite-managing_hosts-template_writing_reference#sect-Managing_Hosts-Satellite_Specific_Functions_and_Variables

Section Number and Name: Table A.3. Host Specific Variables and Functions

Describe the issue:  

@host.params['parameter_name'] should be change to -  host_param('param_name')

@host.param_true?(name)  should be change to - host_param_true?('parameter_name')

@host.param_false?(name) should be change to - host_param_false?('parameter_name') 


After satellite 6.4 we should retrieve the value of a parameter on a host (or inherited from the OS, domain etc) by using: "host_param"


Note You need to log in before you can comment on or make changes to this bug.